# The Red Matrix: include/widgets.php File Reference

All Classes Namespaces Files Functions Variables Pages
widgets.php File Reference

## Functions

| widget_profile ($args)
| widget_tagcloud ($args)
| widget_collections ($args)
| widget_appselect ($arr)
| widget_suggestions ($arr)
| widget_follow ($args)
| widget_notes ($arr)
| widget_savedsearch ($arr)
| widget_filer ($arr)
| widget_archive ($arr)
| widget_fullprofile ($arr)
| widget_categories ($arr)
| widget_tagcloud_wall ($arr)
| widget_affinity ($arr)
| widget_settings_menu ($arr)
| widget_mailmenu ($arr)
| widget_design_tools ($arr)
| widget_findpeople ($arr)
| widget_photo_albums ($arr)
| widget_vcard ($arr)
| widget_dirsafemode ($arr)
| widget_dirsort ($arr)
| widget_dirtags ($arr)
| widget_menu_preview ($arr)
| widget_chatroom_list ($arr)
| widget_bookmarkedchats ($arr)
| widget_suggestedchats ($arr)
| widget_item ($arr)
| widget_clock ($arr)
| widget_photo ($arr)

## Function Documentation

widget_affinity | ( |  | $arr | ) |

widget_appselect | ( |  | $arr | ) |

widget_archive | ( |  | $arr | ) |

widget_bookmarkedchats | ( |  | $arr | ) |

widget_categories | ( |  | $arr | ) |

widget_chatroom_list | ( |  | $arr | ) |

Referenced by chat_content().

widget_clock | ( |  | $arr | ) |

widget_collections | ( |  | $args | ) |

widget_design_tools | ( |  | $arr | ) |

widget_dirsafemode | ( |  | $arr | ) |

The following directory widgets are only useful on the directory page

widget_dirsort | ( |  | $arr | ) |

widget_dirtags | ( |  | $arr | ) |

widget_filer | ( |  | $arr | ) |

widget_findpeople | ( |  | $arr | ) |

widget_follow | ( |  | $args | ) |

widget_fullprofile | ( |  | $arr | ) |

widget_item | ( |  | $arr | ) |

widget_mailmenu | ( |  | $arr | ) |

widget_menu_preview | ( |  | $arr | ) |

widget_notes | ( |  | $arr | ) |

widget_photo | ( |  | $arr | ) |

widget_photo($arr) widget to display a single photo.

Parameters

  array | $arr,; | 'src' => URL of photo 'zrl' => true or false, use zid in url 'style' => CSS string URL must be an http or https URL

widget_photo_albums | ( |  | $arr | ) |

widget_profile | ( |  | $args | ) |

Referenced by hcard_content().

widget_savedsearch | ( |  | $arr | ) |

widget_settings_menu | ( |  | $arr | ) |

widget_suggestedchats | ( |  | $arr | ) |

widget_suggestions | ( |  | $arr | ) |

widget_tagcloud | ( |  | $args | ) |

widget_tagcloud_wall | ( |  | $arr | ) |

widget_vcard | ( |  | $arr | ) |